<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2008/12/30)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur :
 *
 * Plugin FCKeditor
 * Version  : 4.6.4.2.6.3 (2008/12/23)
 * Compatibility : Guppy v4.6.x
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_POST['lng']) ? strip_tags($_POST['lng']) : null;
$nameform = isset($_POST['nameform']) ? strip_tags($_POST['nameform']) : null;
$nametextarea = isset($_POST['nametextarea']) ? strip_tags($_POST['nametextarea']) : null;
if(!preg_match("`^[-a-z0-9_]+$`i", $lng.$nameform.$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");

/**
 * Protection contre les petits curieux
 */
if (is_file(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {	// Existence
    include CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT;
} else {
    die('Error 220');
};

if ($log != 'Logged') {	// Authentification
	if ($version == "new") {
		unset($_SESSION['log']);
		unset($_SESSION['upseudo']);
	} else {
		session_unset();
	}
	session_destroy();
	header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
	exit;
}
//

//RECUPERATION ET DECLARATION DES VARIABLES ET CONSTANTE
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

$editor = isset($_POST['editor']) ? $_POST['editor'] : null;

if (get_magic_quotes_gpc()) $editor = stripslashes($editor);  //Magic_quotes = On
$in = array(
			'\\',
			'<p>&nbsp;</p>',
			'<p>&#160;</p>',
			'<br type="_moz" />',
			'<u>',
			'</u>',
			'style="TEXT-DECORATION: underline"',
			'="'.$site[3]
);
$out = array(
			'&#92;',
			'',
			'',
			'',
			'<span style="text-decoration:underline;">',
			'</span>',
			'style="text-decoration: underline;"',
			'="'
);
$editor = str_replace($in,$out,$editor);

// Parser pour code fichier flash (compatibilit miniediteur <--> FCKeditor)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {  
	function parseObjectFlash($matches)
	{
		$attribut = explode(' ',$matches[1]);
		for ($i = 0; $i < count($attribut); $i++){
			$nameAttribut = explode('=',$attribut[$i]);
			switch ($nameAttribut[0]) {
				case 'src' :
					$data = 'data='.$nameAttribut[1].' ';
					$movie = '<param name="movie" value='.$nameAttribut[1].' />';
					break;
				case 'width' :
					$width = $attribut[$i].' ';
					break;
				case 'height' :
					$height = $attribut[$i].' ';
					break;
				case 'hspace' :
					$hspace = $attribut[$i].' ';
					break;
				case 'vspace' :
					$vspace = $attribut[$i].' ';
					break;
				case 'align' :
					$align = $attribut[$i].' ';
					break;
				case 'id' :
					$id = $attribut[$i].' ';
					break;
				case 'class' :
					$class = $attribut[$i].' ';
					break;
				case 'quality' :
					$quality = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'scale' :
					$scale = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'loop' :
					$loop = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'play' :
					$play = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'menu' :
					$menu = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				case 'bgcolor' :
					$bgcolor = '<param name="'.$nameAttribut[0].'" value='.$nameAttribut[1].' />';
					break;
				default :
			}
		}
		$allAttributs = $data.$width.$height.$hspace.$vspace.$align.$id.$class;
		$allParams = $movie.$quality.$scale.$loop.$play.$menu.$bgcolor;
		return '<object '.$allAttributs.'type="application/x-shockwave-flash">'.$allParams.'<param name="pluginurl" value="http://www.macromedia.com/go/getflashplayer" /><a href="http://www.macromedia.com/go/getflashplayer" target="_blank"><img src="flash/document_Flash.gif" alt="Get FlashPlayer" title="Get FlashPlayer" width="114" height="21" border="0" /></a></object>';
	}
	$editor = preg_replace_callback('`<embed([^>]+)><\/embed>`', 'parseObjectFlash', $editor);
}

$editor = htmlspecialchars($editor); //Affichage dans textarea (indispensable)  

// HTML
echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Envoie vers Guppy</title>
		<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<link type="text/css" rel="stylesheet" href="'.CHEMIN.$pathDirMinieditor.'fckeditor_config/custom/skin_guppy/fck_dialog.css" />
		<script type="text/javascript" src="'.CHEMIN.$pathDirMinieditor.'fckeditor_config/jscript/postdataFCK.js"></script>
	</head>
	<body id="sendData" onload="initDocument(\'formData\', \'send\');" onblur="self.focus();">
		<form id="formData" name="formData" action="postdataFCK.php" method="post" onsubmit="return formSubmit(\'formData\', \'data\', \''.$nameform.'\', \''.$nametextarea.'\');">
		<p>'.$admin373.'</p>
		<input id="send" class="Button send" name="send" type="submit" value="'.$web52.'" />
		<input id="back" class="Button back" name="back" type="button" value="'.$web135.'" onclick="goback(\''.$site[3].$pathDirMinieditor.'\', \''.$lng.'\', \'formData\', \'data\', \''.$nameform.'\', \''.$nametextarea.'\');" />
		<textarea id="data" name="data" cols="10" rows="10"  style="visibility: hidden;display:none;">'.$editor.'</textarea>
		</form>
	</body>
	</html>
';
?>